story/urls.py
from django.urls import path, include
from django.contrib import admin
from django.conf import settings
from django.conf.urls.static import static


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story3.urls')),
    path('', include('story1.urls')),
    path('jadwal/', include('story5.urls')),
    path('kegiatanku/', include('story6.urls')),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

story1/urls.py
from django.urls import path
from . import views

app_name = 'story1'

urlpatterns = [
    path('story1/', views.home, name='home'),
]

story3/urls.py
from django.urls import path
from . import views

app_name = 'story3'

urlpatterns = [
    path('', views.index, name='index'),
    path('about/', views.about, name='about'),
    path('education/', views.education, name='education'),
    path('experience/', views.experience, name='experience'),
    path('skill/', views.skill, name='skill'),
    path('songs/', views.songs, name='songs'),
]

story5/urls.py
from . import views
from django.contrib import admin
from django.urls import path,include
from django.conf import settings
from django.conf.urls.static import static
# from .views import matakuliah

app_name = 'story5'

urlpatterns = [
    path('',views.index,name='index'),
    path('<int:matkul_id>/', views.detail, name='detail'),
    path('add/', views.add, name='add'),
    path('delete/<int:matkul_id>', views.delete, name='delete'),
]

story6/urls.py
from django.urls import path
from . import views

app_name = 'story6'

urlpatterns = [
    path('', views.index, name='kegiatan'),
]

story1/models.py
from django.db import models

# Create your models here.

story3/models.py
from django.db import models

# Create your models here.

story5/models.py
from django.db import models

class MataKuliah(models.Model):
    nama_matkul = models.CharField(max_length=250)
    dosen = models.CharField(max_length=500)
    jumlah_sks = models.PositiveIntegerField(default=3)
    deskripsi = models.CharField(max_length=1000)
    tahun_semester = models.CharField(max_length=250)
    ruang_kelas = models.CharField(max_length=300)

    def __str__(self):
        return self.nama_matkul


story6/models.py
from django.db import models

# Create your models here.
class Kegiatan(models.Model):
    nama = models.CharField(max_length=64)
    def __str__(self):
        return self.nama

class Pesertanya(models.Model):
    nama = models.CharField(max_length=64)
    kegiatan = models.ForeignKey(Kegiatan, on_delete=models.DO_NOTHING)
    def __str__(self):
        return self.nama
        

story5/forms.py
from django import forms
from .models import *

class MataKuliahForm(forms.ModelForm):

    class Meta:
        model = MataKuliah
        fields = '__all__'

story6/forms.py
from django import forms

class KegiatanForm(forms.Form):
    nama_kegiatan = forms.CharField(label='Nama Kegiatan', max_length=64,widget=forms.TextInput(attrs={'class':'form-control'}))

class PesertaForm(forms.Form):
    nama_peserta = forms.CharField(label='Nama Peserta', max_length=64, widget=forms.TextInput(attrs={'class':'form-control'}))

story1/views.py
from django.shortcuts import render

def home(request):
    return render(request, 'home.html')

story3/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request, 'index.html')

def about(request):
    return render(request, 'about.html')

def education(request):
    return render(request, 'education.html')

def experience(request):
    return render(request, 'experience.html')

def skill(request):
    return render(request, 'skill.html')

def songs(request):
    return render(request, 'songs.html')

story5/views.py
from django.shortcuts import render
from django.shortcuts import render, get_object_or_404, redirect
from .models import MataKuliah
from .forms import *
from django.contrib import messages
from django.contrib.messages import constants

def index(request):
    all_matkul = MataKuliah.objects.all()
    return render(request, 'matakuliah.html', {'all_matkul': all_matkul})

def detail(request, matkul_id):
    matkul = get_object_or_404(MataKuliah, pk=matkul_id)
    return render(request, 'detail.html', {'matkul': matkul})

def add(request):
    if request.method == "POST":
        form = MataKuliahForm(request.POST)
        if form.is_valid():
            form.save()
            messages.success(request, (f"Mata kuliah {request.POST['nama_matkul']} berhasil ditambahkan!"))
            redirect('/')
        else:
            messages.warning(request, ("Data yang anda masukkan tidak sesuai kriteria."))
            redirect('/')
    return render(request, 'add.html')

def delete(request, matkul_id):
    matkul = MataKuliah.objects.get(id=matkul_id)
    matkul.delete()
    messages.success(request, (f"Mata Kuliah {matkul} berhasil dihapus"))
    return redirect('story5:index')



story6/views.py
from django.shortcuts import render
from . import forms
from . import models
from django.http import HttpResponseBadRequest
from django.views.decorators.csrf import csrf_exempt

# Create your views here
@csrf_exempt
def index(request):
    if request.method == 'POST':
        if 'nama_kegiatan' in request.POST:
            formkegiatan = forms.KegiatanForm(request.POST)
            if formkegiatan.is_valid():
                data = formkegiatan.cleaned_data
                data_input = models.Kegiatan()
                data_input.nama = data['nama_kegiatan']
                data_input.save()
        elif 'nama_peserta' in request.POST and 'id_kegiatan' in request.POST:
            formpeserta = forms.PesertaForm(request.POST)
            if formpeserta.is_valid():
                try:
                    kegiatan = models.Kegiatan.objects.get(id=request.POST['id_kegiatan'])                
                    data = formpeserta.cleaned_data
                    data_input = models.Pesertanya()
                    data_input.nama = data['nama_peserta']
                    data_input.kegiatan = kegiatan
                    data_input.save()
                except :
                    return HttpResponseBadRequest("Bad Request")
        elif 'delete-peserta' in request.POST:
            try:
                models.Pesertanya.objects.get(id=request.POST['delete-peserta']).delete()
            except:
                return HttpResponseBadRequest("Bad Request")
    list_kegiatan = models.Kegiatan.objects.all()
    data_kegiatan_lengkap = []
    for kegiatan in list_kegiatan:
        list_peserta = models.Pesertanya.objects.filter(kegiatan = kegiatan)
        data_peserta =[]
        for peserta in list_peserta:
            data_peserta.append(peserta)
        data_kegiatan_lengkap.append((kegiatan,data_peserta))
    return render(request, 'kegiatan.html', {'formkegiatan':forms.KegiatanForm, 'formpeserta':forms.PesertaForm, 'data_kegiatan':data_kegiatan_lengkap})

story1/templates/home.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Profilku</title>
  
  <center><h1>Hi, I'm Adel!</h1></center>
  <center><img src= "{% static 'adel.jpg' %}" width="200" height="300"></center>
  <center><h2>Get to know me :) </h2></center>
  <center><p>Nama     : Adelya Gabriel</p></center>
  <center><p>NPM      : 1906399751</p></center>
  <center><p>Angkatan : 2019</p></center>
  <center><p>Hobi     : Membaca, Menulis artikel</p></center>

</head>
<body style="background-color:plum">
  <style>
    table, th, td {border: 1px solid black;}
  </style>
  
  <center><h2>More about me:</h2></center>
  <center><p>I'm a second-year Information System Student at Universitas Indonesia and currently learning about web programming.</p>
    <p>I really enjoy meeting new people and working in the collaborative environment.</p></center>
  <center><table style="width:40%">
  <tr>
    <th>Riwayat Pendidikan</th>
    <th>Tempat</th>
    <th>Tahun</th>
  </tr>
  <tr>
    <td>SMP</td>
    <td>SMPN 41 Jakarta</td>
    <td>2014-2016</td>
  </tr>
  <tr>
    <td>SMA</td>
    <td>SMAN 28 Jakarta</td>
    <td>2016-2019</td>
  </tr>
  <tr>
    <td>Perguruan Tinggi</td>
    <td>Universitas Indonesia</td>
    <td>2019-sekarang</td>
  </tr>
</table></center>

 <center><p>Visit my social medias at:</p></center>
    <center><a href="https://www.instagram.com/adelyagabriel/">
      <img alt="IG" src="{% static 'ig.png' %}"
      width="40" height="40">
    </a>
    <a href="https://www.linkedin.com/in/adelyagabriel/">
      <img alt="LinkedIn" src="{% static 'linkedin.png' %}"
      width="40" height="40">
     </a></center>

</body>
</html>

story3/templates/about.html
<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="HandheldFriendly" content="true">
    <link href="https://fonts.googleapis.com/css?family=Roboto+Mono:400,500,700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'myStyle.css' %}">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <title>adelya</title>
</head>

<body>
    {% include "base.html" %}
    <div class="homeku">
        <div class="tempatsocmed">
            <div class="socmedku">
                <a href="https://www.instagram.com/adelyagabriel/"><img src="{% static 'ig.png' %}"> </a>
            </div>
            <div class="socmedku">
                <a href="https://www.linkedin.com/in/adelyagabriel/"><img src="{% static 'linkedin.png' %}"> </a>
            </div>
        </div>

        <div class="tempataboutme">
            <div class="aboutme1">
                PROFILE<br />
                Hi! I’m Adelya Gabriel and I’m currently studying Information System at Faculty of Computer Science,
                University of Indonesia. <br />
            </div>
            <div class="aboutme2">
                HOBBIES<br />
                - Learning New Things<br />
                - Travelling<br />
                - Coding<br />
                - Writing<br />
            </div>
        </div>
    </div>

            <!-- Optional JavaScript -->
            <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
            integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
            crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
</body>

</html>

story3/templates/base.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">  
    <meta name="HandheldFriendly" content="true">

    <link href="https://fonts.googleapis.com/css?family=Roboto+Mono:400,500,700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'myStyle.css' %}">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <title>adelya</title>
</head>

<body>

    <div class="navbarku">
            <a class="itemku" href="{% url 'story3:index' %}">
            <img class="itemku-img" src="{% static 'home.png' %}">
            <span>Home</span>
            </a>

            <a class="itemku" href="{% url 'story3:about' %}">
            <img class="itemku-img" src="{% static 'woman.png' %}">
            <span>About</span>
            </a>

            <a class="itemku" href="{% url 'story3:education' %}">
            <img class="itemku-img" src="{% static 'books.png' %}">
            <span>Education</span>
            </a>

            <a class="itemku" href="{% url 'story3:experience' %}">
            <img class="itemku-img" src="{% static 'conversation.png' %}">
            <span>Experience</span>
            </a>

            <a class="itemku" href="{% url 'story3:skill' %}">
            <img class="itemku-img" src="{% static 'bbe.png' %}">
            <span>Skill</span>
            </a>

            <a class="itemku" href="{% url 'story3:songs' %}">
            <img class="itemku-img" src="{% static 'music.png' %}">
            <span>Songs</span>
            </a>

            <a class="itemku" href="{% url 'story5:index' %}">
            <img class="itemku-img" src="{% static 'schedule.png' %}">
            <span>Schedule</span>
            </a>

            <a class="itemku" href="{% url 'story1:home' %}">
            <img class="itemku-img" src="{% static 'story.png' %}">
            <span>Story1</span>
            </a>
    </div>
    
    
</body>

story3/templates/education.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">  
    <meta name="HandheldFriendly" content="true">
    <link href="https://fonts.googleapis.com/css?family=Roboto+Mono:400,500,700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'myStyle.css' %}">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <title>adelya</title>
</head>

<body>
    {% include "base.html" %}

    <div class="homeku">
        <div class="tempatsocmed">
            <div class="socmedku">
                <a href="https://www.instagram.com/adelyagabriel/"><img src="{% static 'ig.png' %}"> </a>
            </div>
            <div class="socmedku">
                <a href="https://www.linkedin.com/in/adelyagabriel/"><img src="{% static 'linkedin.png' %}"> </a>
            </div>
        </div>

        <div class="tempateducation ml-5">
            <div class="education1">
                <img src="{% static 'sd.png' %}">
                <span class="ml-3" style="font-size: 2vw;"> SD Negeri 05 Cipedak (2008 - 2014)</span>
            </div>
            <div class="education1">
                <img src="{% static 'smp.png' %}">
                <span class="ml-3" style="font-size: 2vw;"> SMP 41 Jakarta (2014-2016)</span>
            </div>
            <div class="education1">
                <img src="{% static 'sma.png' %}">
                <span class="ml-3" style="font-size: 2vw;"> SMAN 28 Jakarta (2016-2019)</span>
            </div>
            <div class="education1">
                <img src="{% static 'ui.png' %}">
                <span class="ml-3" style="font-size: 2vw;"> Fasilkom UI (2019-now)</span>
            </div>
        </div>
    </div>
</body>
</html>

story3/templates/experience.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">  
    <meta name="HandheldFriendly" content="true">
    <link href="https://fonts.googleapis.com/css?family=Roboto+Mono:400,500,700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'myStyle.css' %}">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <title>adelya</title>
</head>

<body>
    {% include "base.html" %}
    <div class="homeku">
        <div class="tempatsocmed">
            <div class="socmedku">
                <a href="https://www.instagram.com/adelyagabriel/"><img src="{% static 'ig.png' %}"> </a>
            </div>
            <div class="socmedku">
                <a href="https://www.linkedin.com/in/adelyagabriel/"><img src="{% static 'linkedin.png' %}"> </a>
            </div>
        </div>

        <div class="experienceku">
                <img src="{% static 'coaching.png' %}">
                <p> 
                </p>
                <p> 1. Teaching Assistant of Web Programming</p>
                <p> 2. Teaching Assistant of Calculus 3</p>
                <p> 3. UI/UX Google Internship</p>
        </div>   
    </div>
    </body>
    </html>

story3/templates/index.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">  
    <meta name="HandheldFriendly" content="true">

    <link href="https://fonts.googleapis.com/css?family=Roboto+Mono:400,500,700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'myStyle.css' %}">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <title>adelya</title>
</head>

<body>
    {% include "base.html" %}
    <div class="homeku">
        <div class="tempatsocmed">
            <div class="socmedku">
                <a href="https://www.instagram.com/adelyagabriel/"><img src="{% static 'ig.png' %}"> </a>
            </div>
            <div class="socmedku">
                <a href="https://www.linkedin.com/in/adelyagabriel/"><img src="{% static 'linkedin.png' %}"> </a>
            </div>
        </div>
        
        <div class="tempatfoto">
            <div class="foto ml-5 pl-5">
                <img src="{% static 'fotoadel.jpg' %}">
            </div>
        </div>

        <div class="tempathalo">
            <div class="perkenalan" style="font-size: 20px;">
                Hello Everybody, I'm
            </div>
            <div class="perkenalanHOHO" style="font-size: 60px; font-weight: bold;">
                Adelya Gabriel
            </div>
            <div class="perkenalan" style="font-size: 35px;">
                Information System Student
            </div>   
        </div>
    </div>
</body>

story3/templates/skill.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">  
    <meta name="HandheldFriendly" content="true">
    <link href="https://fonts.googleapis.com/css?family=Roboto+Mono:400,500,700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'myStyle.css' %}">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <title>adelya</title>
</head>

<body>
    {% include "base.html" %}
    <div class="homeku">
        <div class="tempatsocmed">
            <div class="socmedku">
                <a href="https://www.instagram.com/adelyagabriel/"><img src="{% static 'ig.png' %}"> </a>
            </div>
            <div class="socmedku">
                <a href="https://www.linkedin.com/in/adelyagabriel/"><img src="{% static 'linkedin.png' %}"> </a>
            </div>
        </div>

        <div class="skillku">
                <img src="{% static 'competence.png' %}">
                <p> 
                </p>
                <p> 1. Python Programming Languange</p>
                <p> 2. Java Programming Languange</p>
                <p> 3. Adobe Photoshop</p>
        </div>   
    </div>
</body>
</html>

story5/templates/add.html
{% extends 'baseJadwal.html' %}
{% block content %}

<div class="container">
  {% if messages %}
  {% for message in messages %}
  <div class="alert alert-{{ message.tags }} alert-dismissible fade show mt-4" role="alert">
    {{ message }}
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
	{% endfor %}
  {% endif %}
    <form class="mt-5" method="POST">
      {% csrf_token %}
        <div class="form-row">
          <div class="form-group col-md-5">
            <label>Nama Mata Kuliah</label>
            <input type="text" class="form-control" id="nama_matkul" name="nama_matkul" required>          
          </div>
          <div class="form-group col-md-5">
            <label for="dosen">Dosen Pengajar</label>
            <input type="text" class="form-control" id="dosen" name="dosen" required>          
          </div>
		  <div class="form-group col-md-2">
            <label for="sks">Jumlah SKS</label>
            <input type="number" class="form-control" id="jumlah_sks" name="jumlah_sks" required>          
          </div>
        </div>
			<div class="form-row">
          <div class="form-group col-md-5">
            <label for="tahunAjar">Semester (ex: Gasal 2019/2020) </label>
            <input type="text" class="form-control" id="tahun_semester" name="tahun_semester" required>
          </div>
          <div class="form-group col-md-2">
            <label for="ruang">Ruang</label>
            <input type="text" class="form-control" id="ruang_kelas" name="ruang_kelas" required>
          </div>
        </div>
			<div class="form-group">
			<label for="deskripsi">Deskripsi</label>
			<textarea class="form-control" id="deskripsi" rows="3" name="deskripsi" required></textarea>
        </div>
        <button type="submit" class="btn btn-primary">Add</button>
      </form>
</div>
{% endblock content %}

story5/templates/baseJadwal.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'myStyle.css' %}">
    <link href="{% static 'myStyle.css'%}" rel="stylesheet" media="screen">
    <link href="https://fonts.googleapis.com/css?family=Roboto+Mono:400,500,700&display=swap" rel="stylesheet" media="screen">
    <title>Mata Kuliah</title>
    <style>
        body{
            color: white;
        }
    </style>
</head>
<body>
    <div class="navbarku">
        <a class="itemku" href="{% url 'story3:index' %}">
        <img class="itemku-img" src="{% static 'home.png' %}">
        <span>Home</span>
        </a>

        <a class="itemku" href="{% url 'story3:about' %}">
        <img class="itemku-img" src="{% static 'woman.png' %}">
        <span>About</span>
        </a>

        <a class="itemku" href="{% url 'story3:education' %}">
        <img class="itemku-img" src="{% static 'books.png' %}">
        <span>Education</span>
        </a>

        <a class="itemku" href="{% url 'story3:experience' %}">
        <img class="itemku-img" src="{% static 'conversation.png' %}">
        <span>Experience</span>
        </a>

        <a class="itemku" href="{% url 'story3:skill' %}">
        <img class="itemku-img" src="{% static 'bbe.png' %}">
        <span>Skill</span>
        </a>

        <a class="itemku" href="{% url 'story3:songs' %}">
        <img class="itemku-img" src="{% static 'music.png' %}">
        <span>Songs</span>
        </a>

        <a class="itemku" href="{% url 'story5:index' %}">
        <img class="itemku-img" src="{% static 'schedule.png' %}">
        <span>Schedule</span>
        </a>

        <a class="itemku" href="{% url 'story6:kegiatan' %}">
            <img class="itemku-img" src="{% static 'user.png' %}">
            <span>Activity</span>
        </a>
    </div>
    {% block content%}
    {% include "base.html"%}
    {% endblock content%}
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</body>
</html>

story5/templates/matakuliah.html
{% extends 'baseJadwal.html' %}
{% block content %}


<div class="container my-4">
    <a class="nav-link" href="{%url 'story5:add' %}">Add Jadwal<span class="sr-only">(current)</span></a>
  {% if messages %}
	{% for message in messages %}
		<div class="alert alert-warning alert-dismissible fade show mt-4" role="alert">
			{{ message }}
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
		</div>
	{% endfor %}
    {% endif %}
    
  {%if all_matkul%}
        {% for matkul in all_matkul %}
        <div class="card mt-3">
                <div class="card-body d-flex justify-content-between flex-column flex-md-row">
                    <div>
                        <a href="{% url 'story5:detail' matkul.id %}"><h5 class="card-title">{{ matkul.nama_matkul }}</h5></a>
                        <h6 class="card-subtitle mb-2 text-muted">{{ matkul.tahun_semester}}</h6>
                    </div>
                    <a href="{% url 'story5:delete' matkul.id %}" class="card-link text-danger mt-3 mt-md-0 mr-md-4 align-self-center">DELETE</a>
                </div>
        </div>
        {%endfor%}

    {%else%}
     <h3>You don't have any matkul.</h3>
{%endif%}
</div>
{% endblock content %}